Draft WireToBSpline/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "==Bruk==")
(Created page with "==Skript==")
Line 16: Line 16:
* The original object will not be deleted after the operation, you must delete it manually if you wish so.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Skript==


Not available, but creating a new object with the points from another one is easy, for example:
Not available, but creating a new object with the points from another one is easy, for example:

Revision as of 17:01, 17 June 2014

Draft WireToBSpline

Menyplacering
Drafting -> Wire to BSpline
Arbetsbänkar
Draft, Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

This tool converts Wires to BSplines, and vice-versa.

Bruk

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Skript

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)